{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} {{ contract_template.type }} Contract Template {% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            {{ contract.first_name }} {{Contract.last_name}} - {{contract.department}}
        </p>
        <p class="subtitle">
            Status - {{contract.status}} <br />
            View and Edit Contract
        </p>
        <form action="{% url 'contract_drafting' contract.id %}" method="POST">
            {% csrf_token %}
            <a class="button is-danger" href="{% url 'contract_drafting_section_new' contract.id %}">Add New Section</a>
            <a href="{% url 'final_contract_pdf' con_id=contract.id %}" class="button is-info">Preview</a>
            {% if contract.status == "Contract Drafting" or contract.status == "Contract Redrafting" %}
            <button type="submit" class="button is-success" name="action" value="contract_review">
                Mark as Completed
            </button>
            {% else %}
            <button type="submit" class="button is-warning" name="action" value="contract_redraft">
                Send to Redraft
            </button>
            <button type="submit" class="button is-success" name="action" value="contract_verified">
                Verified
            </button>
            {% endif %}
        </form>
    </div>
</section>
<div class="columns">
    <div class="column"></div>
    <div class="column is-10 auto">
        <div class="columns">
            <div class="column is-half my-4">
                <br>
                        <p class="is-size-6 ">
                            <b>Chrono Number :</b> &nbsp;<span class="has-text-grey is-italic">{{contract.chrono_no}}</span>&nbsp;&nbsp;
                       
                    
                        {% if contract.chrono_no is None %}
                        <a href="{% url 'add_chrono_number' contract.id %}"><button class="button is-info is-small">Add</button></a>
                        {% else %}
                        <a href="{% url 'add_chrono_number' contract.id %}" ><button class="button is-info is-small">Edit</button></a>
                        {% endif %}
                    </p>
            </div>
        </div>
    </div>
    <div class="column"></div>
</div>
{% if sections_fr or sections_en %}
<div class="columns">
    <div class="column"></div>
    <div class="column is-10 auto">
        <div class="columns">
            {% if sections_fr %}
            <div class="column is-half my-4">
                <h1 class="title is-3">Sections French</h1>
                {% for section in sections_fr %}
                <div class="card my my-5">
                    <header class="card-header">
                        <p class="card-header-title">
                            {{ section.tittle }}
                        </p>
                        <div class="card-header-icon">
                            <span class="tag is-warning is-rounded">Order: {{ section.order }}</span>
                        </div>
                    </header>
                    <div class="card-content">
                        <div class="content">
                            {{ section.description | safe }}
                        </div>
                    </div>
                    <footer class="card-footer">
                        <a href="{% url 'contract_drafting_section_edit' contract.id section.id %}" class="card-footer-item">Edit</a>
                        <a href="{% url 'contract_drafting_section_delete' contract.id section.id %}" class="card-footer-item has-text-danger">Delete</a>
                    </footer>
                </div>
                {% endfor %}
            </div>
            {% endif %}
            {% if sections_en %}
            <div class="column is-half my-4">
                <h1 class="title is-3">Sections English</h1>
                {% for section_en in sections_en %}
                <div class="card my my-5">
                    <header class="card-header">
                        <p class="card-header-title">
                            {{ section_en.tittle }}
                        </p>
                        <div class="card-header-icon">
                            <span class="tag is-warning is-rounded">Order: {{ section_en.order }}</span>
                        </div>
                    </header>
                    <div class="card-content">
                        <div class="content">
                            {{ section_en.description | safe }}
                        </div>
                    </div>
                    <footer class="card-footer">
                        <a href="{% url 'contract_drafting_section_edit' contract.id section_en.id %}" class="card-footer-item">Edit</a>
                        <a href="{% url 'contract_drafting_section_delete' contract.id section_en.id %}" class="card-footer-item has-text-danger">Delete</a>
                    </footer>
                </div>
                {% endfor %}
            </div>
            {% endif %}
        </div>
    </div>
    <div class="column"></div>
</div>
{% else %}
<div class="column is-half  is-offset-one-quarter">
    <div class="card my-3">
        <div class="card-content">
            <div class="content has-text-centered">
                <h1 class="has-text-grey-light">No Sections Found</h1>
                <a class="button is-danger is-outlined" href="{% url 'contract_template_section_new' contract.id %}">Add New Section</a>
            </div>
        </div>
    </div>
</div>
{% endif %}

{% endblock %}